#ifndef RECT_H
#define RECT_H

#include "../../common/structs.h"

double intersect_rectangle(point* startP, vector* projV, object* plane, point* pntIntersect);
vector* normal_rectangle(point* q, object* objectHit, vector* n);
void rectangle_initialize(object *obj);

#endif
